<%@ page import="client.*" %>
<%@ page import="server.*" %>
<%@ page import="java.math.*" %>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%
	connectToWs WebService = new connectToWs();
	PexasoftService service = WebService.getWS();
	Integer[] products = null;
	
	session = request.getSession(true);

	if ((session.getAttribute("userID") == null) || (session.getAttribute("password") == null)) {
		session.setAttribute("userID", "visitor");
		session.setAttribute("password", "visitor");
	}
	
	products=service.getAllTopProducts().toArray(new Integer[]{});
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US">
<head>
<script src="./js/clock.js" type="text/javascript"></script>
<meta http-equiv="cache-control" content="no-cache"></meta>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"></meta>
<meta http-equiv="Content-Style-Type" content="text/css"></meta>
<link rel="stylesheet" type="text/css" href="./css/styles.css"></link>
<title>pexasoft Angebote</title>
</head>
<body onload="display_time();">
<div id="middle">
 <div id="middle_top">
  <div id="middle_top_nav">
   <a href="./konto.jsp"><img src="./imgs/konto.jpg"></img>Ihr Konto</a>
   <a href="./cart.jsp"><img src="./imgs/cart.jpg"></img>Warenkorb</a>
   <a href="./kassa.jsp"><img src="./imgs/kasse.jpg"></img>Kasse</a>
  </div>
  <div id="middle_bottom_nav">
   <a href="./index.jsp" id="middle_bottom_nav_a">Home</a>
   <a href="./shop.jsp" id="middle_bottom_nav_a">Store</a>
   <a href="./angebote.jsp" id="middle_bottom_nav_a_active">Angebote</a>
   <img class="separator_top_nav" src="./imgs/separator.jpg"></img>
   <a href="./about.jsp" id="middle_bottom_nav_a">&Uuml;ber Uns</a>
   <img class="separator_top_nav" src="./imgs/separator.jpg"></img>
   <a href="./contact.jsp" id="middle_bottom_nav_a">Kontakt</a>
   <img class="separator_top_nav" src="./imgs/separator.jpg"></img>
   <a href="./agbs.jsp" id="middle_bottom_nav_a">AGBs</a>
  </div>
 </div>
 <div id="middle_center"><span id="time"></span>
  <div id="middle_promotion">
   <div class="top_angebot" onclick="location='./product.jsp?id=15&group=os'">
    <div class="top_angebot_desc">
     <h5>Aktuelles Top Angebot</h5>
     <h6>Suse Enterprise Edition 10 </h6>
     <h1>49 &euro;</h1>
    </div>
    <div class="top_angebot_pic">
       <img src="./imgs/sles_top.png"></img>
    </div>
   </div>
  </div>
 <div id="middle_content">
  <div id="side_nav">
   <h3>Sortiment</h3>
    <ul>
<%
	 out.println("<li><a class=\"shop_link_active\" href=\"./shop.jsp?group=topseller\"><img src=\"./imgs/list.jpg\"></img>Top Seller</a></li> " +
			     "<li><a class=\"shop_link\" href=\"./shop.jsp?group=os\">Betriebssysteme</a></li>" +
			     "<li><a class=\"shop_link\" href=\"./shop.jsp?group=office\">Anwendungssoftware</a></li>" +
			     "<li><a class=\"shop_link\" href=\"./shop.jsp?group=digital\">Digitalisierung</a></li>" +
			     "<li><a class=\"shop_link\" href=\"./shop.jsp?group=multimedia\">Multimedia</a></li>" +
			     "<li><a class=\"shop_link\" href=\"./shop.jsp?group=learn\">Lernen</a></li>" +
			     "<li><a class=\"shop_link\" href=\"./shop.jsp?group=games\">Spiele</a></li>"
	);

%>
   </ul> 
   <form><div class="search">
   <input name="newsletter" class="shop_search" onclick="this.value=''" value="Search"></input><input name="submit" type="submit" value="Ok" class="newsletter_submit"></input>
   </div>
   </form>
  </div>
  <div class="products">
   <div class="search_results">
    <h4>Top Angebote diese Woche</h4>
    <div class="results">
     <ul>
<% 	      
   if( products.length != 0) {
	   int amaount = products.length;
	   if (products.length > 20) {
		   amaount = 20;
	   }
      for (int i=0; i < amaount; i++) {
    	 if (i < products.length) {
    	   String category = service.getCategoryForProduct(products[i]);
    	   String Name=service.getProductName(products[i]);
    	   String Vendor=service.getProductVendor(products[i]);
    	   String Platform=service.getProductPlatform(products[i]);
    	   double Price=service.getProductPrice(products[i]);
    	   out.println("<li><a class=\"produkt\" href=\"product.jsp?id="+products[i]+"&group=" + category + "\">&nbsp;"+(i+1)+".&nbsp;" + Vendor + ": " + Name + " ("+Platform+") <b>"+new BigDecimal(Price).setScale(2,BigDecimal.ROUND_HALF_UP)+"&euro;</b></a></li>");
    	 }
    	}
     }
%>
   	 </ul>
   </div>
   </div>
  </div>
 </div>
</div>
   <div id="footer">
	<h5>
	 Zornitza Vassileva
	 <img src="./imgs/separator.jpg"></img>
	 Pfleger Christoph
	 <img src="./imgs/separator.jpg"></img>
	 Georg Prenner
	 <img src="./imgs/separator.jpg"></img>
	 2008
	</h5>
	</div>
  </div>
</body>
</html>