
package server;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the server package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetProductDescription_QNAME = new QName("http://server/", "getProductDescription");
    private final static QName _LoginToShop_QNAME = new QName("http://server/", "loginToShop");
    private final static QName _GetAllOrdersForCustomerResponse_QNAME = new QName("http://server/", "getAllOrdersForCustomerResponse");
    private final static QName _SetOrderForCustomer_QNAME = new QName("http://server/", "setOrderForCustomer");
    private final static QName _GetCustomerData_QNAME = new QName("http://server/", "getCustomerData");
    private final static QName _GetProductPlatform_QNAME = new QName("http://server/", "getProductPlatform");
    private final static QName _GetAllTopProducts_QNAME = new QName("http://server/", "getAllTopProducts");
    private final static QName _GetProductStockResponse_QNAME = new QName("http://server/", "getProductStockResponse");
    private final static QName _GetProductPriceResponse_QNAME = new QName("http://server/", "getProductPriceResponse");
    private final static QName _GetProductPlatformResponse_QNAME = new QName("http://server/", "getProductPlatformResponse");
    private final static QName _GetCategoryForProductResponse_QNAME = new QName("http://server/", "getCategoryForProductResponse");
    private final static QName _GetAllProductsForGroup_QNAME = new QName("http://server/", "getAllProductsForGroup");
    private final static QName _GetSearchProduct_QNAME = new QName("http://server/", "getSearchProduct");
    private final static QName _GetProductVendor_QNAME = new QName("http://server/", "getProductVendor");
    private final static QName _GetAllOrdersForCustomer_QNAME = new QName("http://server/", "getAllOrdersForCustomer");
    private final static QName _GetAllProducts_QNAME = new QName("http://server/", "getAllProducts");
    private final static QName _GetProductName_QNAME = new QName("http://server/", "getProductName");
    private final static QName _GetProductPrice_QNAME = new QName("http://server/", "getProductPrice");
    private final static QName _SetOrderForCustomerResponse_QNAME = new QName("http://server/", "setOrderForCustomerResponse");
    private final static QName _GetCategoryForProduct_QNAME = new QName("http://server/", "getCategoryForProduct");
    private final static QName _GetProductStock_QNAME = new QName("http://server/", "getProductStock");
    private final static QName _GetProductImg_QNAME = new QName("http://server/", "getProductImg");
    private final static QName _GetAllProductsResponse_QNAME = new QName("http://server/", "getAllProductsResponse");
    private final static QName _GetProductImgResponse_QNAME = new QName("http://server/", "getProductImgResponse");
    private final static QName _GetAllProductsForGroupResponse_QNAME = new QName("http://server/", "getAllProductsForGroupResponse");
    private final static QName _GetProductCountInGroupResponse_QNAME = new QName("http://server/", "getProductCountInGroupResponse");
    private final static QName _AddCustomerToMailingListResponse_QNAME = new QName("http://server/", "addCustomerToMailingListResponse");
    private final static QName _AddCustomerToMailingList_QNAME = new QName("http://server/", "addCustomerToMailingList");
    private final static QName _GetAllFreshProducts_QNAME = new QName("http://server/", "getAllFreshProducts");
    private final static QName _LoginToShopResponse_QNAME = new QName("http://server/", "loginToShopResponse");
    private final static QName _GetOrderForCustomer_QNAME = new QName("http://server/", "getOrderForCustomer");
    private final static QName _GetOrderForCustomerResponse_QNAME = new QName("http://server/", "getOrderForCustomerResponse");
    private final static QName _GetCustomerDataResponse_QNAME = new QName("http://server/", "getCustomerDataResponse");
    private final static QName _GetAllFreshProductsResponse_QNAME = new QName("http://server/", "getAllFreshProductsResponse");
    private final static QName _GetProductNameResponse_QNAME = new QName("http://server/", "getProductNameResponse");
    private final static QName _GetSearchProductResponse_QNAME = new QName("http://server/", "getSearchProductResponse");
    private final static QName _GetProductDescriptionResponse_QNAME = new QName("http://server/", "getProductDescriptionResponse");
    private final static QName _RegisterToShopResponse_QNAME = new QName("http://server/", "registerToShopResponse");
    private final static QName _GetProductCountInGroup_QNAME = new QName("http://server/", "getProductCountInGroup");
    private final static QName _GetProductAddDateResponse_QNAME = new QName("http://server/", "getProductAddDateResponse");
    private final static QName _RegisterToShop_QNAME = new QName("http://server/", "registerToShop");
    private final static QName _GetProductAddDate_QNAME = new QName("http://server/", "getProductAddDate");
    private final static QName _GetProductVendorResponse_QNAME = new QName("http://server/", "getProductVendorResponse");
    private final static QName _GetAllTopProductsResponse_QNAME = new QName("http://server/", "getAllTopProductsResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: server
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetProductNameResponse }
     * 
     */
    public GetProductNameResponse createGetProductNameResponse() {
        return new GetProductNameResponse();
    }

    /**
     * Create an instance of {@link GetAllOrdersForCustomerResponse }
     * 
     */
    public GetAllOrdersForCustomerResponse createGetAllOrdersForCustomerResponse() {
        return new GetAllOrdersForCustomerResponse();
    }

    /**
     * Create an instance of {@link RegisterToShop }
     * 
     */
    public RegisterToShop createRegisterToShop() {
        return new RegisterToShop();
    }

    /**
     * Create an instance of {@link GetAllProductsResponse }
     * 
     */
    public GetAllProductsResponse createGetAllProductsResponse() {
        return new GetAllProductsResponse();
    }

    /**
     * Create an instance of {@link AddCustomerToMailingListResponse }
     * 
     */
    public AddCustomerToMailingListResponse createAddCustomerToMailingListResponse() {
        return new AddCustomerToMailingListResponse();
    }

    /**
     * Create an instance of {@link GetProductVendor }
     * 
     */
    public GetProductVendor createGetProductVendor() {
        return new GetProductVendor();
    }

    /**
     * Create an instance of {@link GetSearchProduct }
     * 
     */
    public GetSearchProduct createGetSearchProduct() {
        return new GetSearchProduct();
    }

    /**
     * Create an instance of {@link GetAllOrdersForCustomer }
     * 
     */
    public GetAllOrdersForCustomer createGetAllOrdersForCustomer() {
        return new GetAllOrdersForCustomer();
    }

    /**
     * Create an instance of {@link GetProductDescription }
     * 
     */
    public GetProductDescription createGetProductDescription() {
        return new GetProductDescription();
    }

    /**
     * Create an instance of {@link GetAllProductsForGroupResponse }
     * 
     */
    public GetAllProductsForGroupResponse createGetAllProductsForGroupResponse() {
        return new GetAllProductsForGroupResponse();
    }

    /**
     * Create an instance of {@link GetAllProductsForGroup }
     * 
     */
    public GetAllProductsForGroup createGetAllProductsForGroup() {
        return new GetAllProductsForGroup();
    }

    /**
     * Create an instance of {@link GetCustomerData }
     * 
     */
    public GetCustomerData createGetCustomerData() {
        return new GetCustomerData();
    }

    /**
     * Create an instance of {@link GetSearchProductResponse }
     * 
     */
    public GetSearchProductResponse createGetSearchProductResponse() {
        return new GetSearchProductResponse();
    }

    /**
     * Create an instance of {@link SetOrderForCustomerResponse }
     * 
     */
    public SetOrderForCustomerResponse createSetOrderForCustomerResponse() {
        return new SetOrderForCustomerResponse();
    }

    /**
     * Create an instance of {@link GetProductName }
     * 
     */
    public GetProductName createGetProductName() {
        return new GetProductName();
    }

    /**
     * Create an instance of {@link SetOrderForCustomer }
     * 
     */
    public SetOrderForCustomer createSetOrderForCustomer() {
        return new SetOrderForCustomer();
    }

    /**
     * Create an instance of {@link LoginToShop }
     * 
     */
    public LoginToShop createLoginToShop() {
        return new LoginToShop();
    }

    /**
     * Create an instance of {@link GetProductPrice }
     * 
     */
    public GetProductPrice createGetProductPrice() {
        return new GetProductPrice();
    }

    /**
     * Create an instance of {@link GetAllProducts }
     * 
     */
    public GetAllProducts createGetAllProducts() {
        return new GetAllProducts();
    }

    /**
     * Create an instance of {@link GetAllFreshProductsResponse }
     * 
     */
    public GetAllFreshProductsResponse createGetAllFreshProductsResponse() {
        return new GetAllFreshProductsResponse();
    }

    /**
     * Create an instance of {@link GetProductCountInGroup }
     * 
     */
    public GetProductCountInGroup createGetProductCountInGroup() {
        return new GetProductCountInGroup();
    }

    /**
     * Create an instance of {@link GetProductStockResponse }
     * 
     */
    public GetProductStockResponse createGetProductStockResponse() {
        return new GetProductStockResponse();
    }

    /**
     * Create an instance of {@link LoginToShopResponse }
     * 
     */
    public LoginToShopResponse createLoginToShopResponse() {
        return new LoginToShopResponse();
    }

    /**
     * Create an instance of {@link GetCategoryForProductResponse }
     * 
     */
    public GetCategoryForProductResponse createGetCategoryForProductResponse() {
        return new GetCategoryForProductResponse();
    }

    /**
     * Create an instance of {@link GetProductImg }
     * 
     */
    public GetProductImg createGetProductImg() {
        return new GetProductImg();
    }

    /**
     * Create an instance of {@link GetProductImgResponse }
     * 
     */
    public GetProductImgResponse createGetProductImgResponse() {
        return new GetProductImgResponse();
    }

    /**
     * Create an instance of {@link GetAllTopProducts }
     * 
     */
    public GetAllTopProducts createGetAllTopProducts() {
        return new GetAllTopProducts();
    }

    /**
     * Create an instance of {@link GetProductAddDate }
     * 
     */
    public GetProductAddDate createGetProductAddDate() {
        return new GetProductAddDate();
    }

    /**
     * Create an instance of {@link GetOrderForCustomer }
     * 
     */
    public GetOrderForCustomer createGetOrderForCustomer() {
        return new GetOrderForCustomer();
    }

    /**
     * Create an instance of {@link GetProductPriceResponse }
     * 
     */
    public GetProductPriceResponse createGetProductPriceResponse() {
        return new GetProductPriceResponse();
    }

    /**
     * Create an instance of {@link GetCustomerDataResponse }
     * 
     */
    public GetCustomerDataResponse createGetCustomerDataResponse() {
        return new GetCustomerDataResponse();
    }

    /**
     * Create an instance of {@link GetAllTopProductsResponse }
     * 
     */
    public GetAllTopProductsResponse createGetAllTopProductsResponse() {
        return new GetAllTopProductsResponse();
    }

    /**
     * Create an instance of {@link RegisterToShopResponse }
     * 
     */
    public RegisterToShopResponse createRegisterToShopResponse() {
        return new RegisterToShopResponse();
    }

    /**
     * Create an instance of {@link GetProductVendorResponse }
     * 
     */
    public GetProductVendorResponse createGetProductVendorResponse() {
        return new GetProductVendorResponse();
    }

    /**
     * Create an instance of {@link GetProductDescriptionResponse }
     * 
     */
    public GetProductDescriptionResponse createGetProductDescriptionResponse() {
        return new GetProductDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetOrderForCustomerResponse }
     * 
     */
    public GetOrderForCustomerResponse createGetOrderForCustomerResponse() {
        return new GetOrderForCustomerResponse();
    }

    /**
     * Create an instance of {@link GetProductStock }
     * 
     */
    public GetProductStock createGetProductStock() {
        return new GetProductStock();
    }

    /**
     * Create an instance of {@link GetProductPlatformResponse }
     * 
     */
    public GetProductPlatformResponse createGetProductPlatformResponse() {
        return new GetProductPlatformResponse();
    }

    /**
     * Create an instance of {@link GetAllFreshProducts }
     * 
     */
    public GetAllFreshProducts createGetAllFreshProducts() {
        return new GetAllFreshProducts();
    }

    /**
     * Create an instance of {@link GetProductCountInGroupResponse }
     * 
     */
    public GetProductCountInGroupResponse createGetProductCountInGroupResponse() {
        return new GetProductCountInGroupResponse();
    }

    /**
     * Create an instance of {@link GetProductAddDateResponse }
     * 
     */
    public GetProductAddDateResponse createGetProductAddDateResponse() {
        return new GetProductAddDateResponse();
    }

    /**
     * Create an instance of {@link AddCustomerToMailingList }
     * 
     */
    public AddCustomerToMailingList createAddCustomerToMailingList() {
        return new AddCustomerToMailingList();
    }

    /**
     * Create an instance of {@link GetProductPlatform }
     * 
     */
    public GetProductPlatform createGetProductPlatform() {
        return new GetProductPlatform();
    }

    /**
     * Create an instance of {@link GetCategoryForProduct }
     * 
     */
    public GetCategoryForProduct createGetCategoryForProduct() {
        return new GetCategoryForProduct();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductDescription }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductDescription")
    public JAXBElement<GetProductDescription> createGetProductDescription(GetProductDescription value) {
        return new JAXBElement<GetProductDescription>(_GetProductDescription_QNAME, GetProductDescription.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LoginToShop }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "loginToShop")
    public JAXBElement<LoginToShop> createLoginToShop(LoginToShop value) {
        return new JAXBElement<LoginToShop>(_LoginToShop_QNAME, LoginToShop.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllOrdersForCustomerResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllOrdersForCustomerResponse")
    public JAXBElement<GetAllOrdersForCustomerResponse> createGetAllOrdersForCustomerResponse(GetAllOrdersForCustomerResponse value) {
        return new JAXBElement<GetAllOrdersForCustomerResponse>(_GetAllOrdersForCustomerResponse_QNAME, GetAllOrdersForCustomerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetOrderForCustomer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "setOrderForCustomer")
    public JAXBElement<SetOrderForCustomer> createSetOrderForCustomer(SetOrderForCustomer value) {
        return new JAXBElement<SetOrderForCustomer>(_SetOrderForCustomer_QNAME, SetOrderForCustomer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCustomerData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getCustomerData")
    public JAXBElement<GetCustomerData> createGetCustomerData(GetCustomerData value) {
        return new JAXBElement<GetCustomerData>(_GetCustomerData_QNAME, GetCustomerData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductPlatform }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductPlatform")
    public JAXBElement<GetProductPlatform> createGetProductPlatform(GetProductPlatform value) {
        return new JAXBElement<GetProductPlatform>(_GetProductPlatform_QNAME, GetProductPlatform.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllTopProducts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllTopProducts")
    public JAXBElement<GetAllTopProducts> createGetAllTopProducts(GetAllTopProducts value) {
        return new JAXBElement<GetAllTopProducts>(_GetAllTopProducts_QNAME, GetAllTopProducts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductStockResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductStockResponse")
    public JAXBElement<GetProductStockResponse> createGetProductStockResponse(GetProductStockResponse value) {
        return new JAXBElement<GetProductStockResponse>(_GetProductStockResponse_QNAME, GetProductStockResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductPriceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductPriceResponse")
    public JAXBElement<GetProductPriceResponse> createGetProductPriceResponse(GetProductPriceResponse value) {
        return new JAXBElement<GetProductPriceResponse>(_GetProductPriceResponse_QNAME, GetProductPriceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductPlatformResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductPlatformResponse")
    public JAXBElement<GetProductPlatformResponse> createGetProductPlatformResponse(GetProductPlatformResponse value) {
        return new JAXBElement<GetProductPlatformResponse>(_GetProductPlatformResponse_QNAME, GetProductPlatformResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCategoryForProductResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getCategoryForProductResponse")
    public JAXBElement<GetCategoryForProductResponse> createGetCategoryForProductResponse(GetCategoryForProductResponse value) {
        return new JAXBElement<GetCategoryForProductResponse>(_GetCategoryForProductResponse_QNAME, GetCategoryForProductResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllProductsForGroup }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllProductsForGroup")
    public JAXBElement<GetAllProductsForGroup> createGetAllProductsForGroup(GetAllProductsForGroup value) {
        return new JAXBElement<GetAllProductsForGroup>(_GetAllProductsForGroup_QNAME, GetAllProductsForGroup.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSearchProduct }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getSearchProduct")
    public JAXBElement<GetSearchProduct> createGetSearchProduct(GetSearchProduct value) {
        return new JAXBElement<GetSearchProduct>(_GetSearchProduct_QNAME, GetSearchProduct.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductVendor }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductVendor")
    public JAXBElement<GetProductVendor> createGetProductVendor(GetProductVendor value) {
        return new JAXBElement<GetProductVendor>(_GetProductVendor_QNAME, GetProductVendor.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllOrdersForCustomer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllOrdersForCustomer")
    public JAXBElement<GetAllOrdersForCustomer> createGetAllOrdersForCustomer(GetAllOrdersForCustomer value) {
        return new JAXBElement<GetAllOrdersForCustomer>(_GetAllOrdersForCustomer_QNAME, GetAllOrdersForCustomer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllProducts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllProducts")
    public JAXBElement<GetAllProducts> createGetAllProducts(GetAllProducts value) {
        return new JAXBElement<GetAllProducts>(_GetAllProducts_QNAME, GetAllProducts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductName }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductName")
    public JAXBElement<GetProductName> createGetProductName(GetProductName value) {
        return new JAXBElement<GetProductName>(_GetProductName_QNAME, GetProductName.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductPrice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductPrice")
    public JAXBElement<GetProductPrice> createGetProductPrice(GetProductPrice value) {
        return new JAXBElement<GetProductPrice>(_GetProductPrice_QNAME, GetProductPrice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetOrderForCustomerResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "setOrderForCustomerResponse")
    public JAXBElement<SetOrderForCustomerResponse> createSetOrderForCustomerResponse(SetOrderForCustomerResponse value) {
        return new JAXBElement<SetOrderForCustomerResponse>(_SetOrderForCustomerResponse_QNAME, SetOrderForCustomerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCategoryForProduct }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getCategoryForProduct")
    public JAXBElement<GetCategoryForProduct> createGetCategoryForProduct(GetCategoryForProduct value) {
        return new JAXBElement<GetCategoryForProduct>(_GetCategoryForProduct_QNAME, GetCategoryForProduct.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductStock }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductStock")
    public JAXBElement<GetProductStock> createGetProductStock(GetProductStock value) {
        return new JAXBElement<GetProductStock>(_GetProductStock_QNAME, GetProductStock.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductImg }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductImg")
    public JAXBElement<GetProductImg> createGetProductImg(GetProductImg value) {
        return new JAXBElement<GetProductImg>(_GetProductImg_QNAME, GetProductImg.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllProductsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllProductsResponse")
    public JAXBElement<GetAllProductsResponse> createGetAllProductsResponse(GetAllProductsResponse value) {
        return new JAXBElement<GetAllProductsResponse>(_GetAllProductsResponse_QNAME, GetAllProductsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductImgResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductImgResponse")
    public JAXBElement<GetProductImgResponse> createGetProductImgResponse(GetProductImgResponse value) {
        return new JAXBElement<GetProductImgResponse>(_GetProductImgResponse_QNAME, GetProductImgResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllProductsForGroupResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllProductsForGroupResponse")
    public JAXBElement<GetAllProductsForGroupResponse> createGetAllProductsForGroupResponse(GetAllProductsForGroupResponse value) {
        return new JAXBElement<GetAllProductsForGroupResponse>(_GetAllProductsForGroupResponse_QNAME, GetAllProductsForGroupResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductCountInGroupResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductCountInGroupResponse")
    public JAXBElement<GetProductCountInGroupResponse> createGetProductCountInGroupResponse(GetProductCountInGroupResponse value) {
        return new JAXBElement<GetProductCountInGroupResponse>(_GetProductCountInGroupResponse_QNAME, GetProductCountInGroupResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddCustomerToMailingListResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "addCustomerToMailingListResponse")
    public JAXBElement<AddCustomerToMailingListResponse> createAddCustomerToMailingListResponse(AddCustomerToMailingListResponse value) {
        return new JAXBElement<AddCustomerToMailingListResponse>(_AddCustomerToMailingListResponse_QNAME, AddCustomerToMailingListResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddCustomerToMailingList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "addCustomerToMailingList")
    public JAXBElement<AddCustomerToMailingList> createAddCustomerToMailingList(AddCustomerToMailingList value) {
        return new JAXBElement<AddCustomerToMailingList>(_AddCustomerToMailingList_QNAME, AddCustomerToMailingList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllFreshProducts }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllFreshProducts")
    public JAXBElement<GetAllFreshProducts> createGetAllFreshProducts(GetAllFreshProducts value) {
        return new JAXBElement<GetAllFreshProducts>(_GetAllFreshProducts_QNAME, GetAllFreshProducts.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LoginToShopResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "loginToShopResponse")
    public JAXBElement<LoginToShopResponse> createLoginToShopResponse(LoginToShopResponse value) {
        return new JAXBElement<LoginToShopResponse>(_LoginToShopResponse_QNAME, LoginToShopResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrderForCustomer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getOrderForCustomer")
    public JAXBElement<GetOrderForCustomer> createGetOrderForCustomer(GetOrderForCustomer value) {
        return new JAXBElement<GetOrderForCustomer>(_GetOrderForCustomer_QNAME, GetOrderForCustomer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetOrderForCustomerResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getOrderForCustomerResponse")
    public JAXBElement<GetOrderForCustomerResponse> createGetOrderForCustomerResponse(GetOrderForCustomerResponse value) {
        return new JAXBElement<GetOrderForCustomerResponse>(_GetOrderForCustomerResponse_QNAME, GetOrderForCustomerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCustomerDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getCustomerDataResponse")
    public JAXBElement<GetCustomerDataResponse> createGetCustomerDataResponse(GetCustomerDataResponse value) {
        return new JAXBElement<GetCustomerDataResponse>(_GetCustomerDataResponse_QNAME, GetCustomerDataResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllFreshProductsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllFreshProductsResponse")
    public JAXBElement<GetAllFreshProductsResponse> createGetAllFreshProductsResponse(GetAllFreshProductsResponse value) {
        return new JAXBElement<GetAllFreshProductsResponse>(_GetAllFreshProductsResponse_QNAME, GetAllFreshProductsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductNameResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductNameResponse")
    public JAXBElement<GetProductNameResponse> createGetProductNameResponse(GetProductNameResponse value) {
        return new JAXBElement<GetProductNameResponse>(_GetProductNameResponse_QNAME, GetProductNameResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSearchProductResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getSearchProductResponse")
    public JAXBElement<GetSearchProductResponse> createGetSearchProductResponse(GetSearchProductResponse value) {
        return new JAXBElement<GetSearchProductResponse>(_GetSearchProductResponse_QNAME, GetSearchProductResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductDescriptionResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductDescriptionResponse")
    public JAXBElement<GetProductDescriptionResponse> createGetProductDescriptionResponse(GetProductDescriptionResponse value) {
        return new JAXBElement<GetProductDescriptionResponse>(_GetProductDescriptionResponse_QNAME, GetProductDescriptionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegisterToShopResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "registerToShopResponse")
    public JAXBElement<RegisterToShopResponse> createRegisterToShopResponse(RegisterToShopResponse value) {
        return new JAXBElement<RegisterToShopResponse>(_RegisterToShopResponse_QNAME, RegisterToShopResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductCountInGroup }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductCountInGroup")
    public JAXBElement<GetProductCountInGroup> createGetProductCountInGroup(GetProductCountInGroup value) {
        return new JAXBElement<GetProductCountInGroup>(_GetProductCountInGroup_QNAME, GetProductCountInGroup.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductAddDateResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductAddDateResponse")
    public JAXBElement<GetProductAddDateResponse> createGetProductAddDateResponse(GetProductAddDateResponse value) {
        return new JAXBElement<GetProductAddDateResponse>(_GetProductAddDateResponse_QNAME, GetProductAddDateResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegisterToShop }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "registerToShop")
    public JAXBElement<RegisterToShop> createRegisterToShop(RegisterToShop value) {
        return new JAXBElement<RegisterToShop>(_RegisterToShop_QNAME, RegisterToShop.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductAddDate }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductAddDate")
    public JAXBElement<GetProductAddDate> createGetProductAddDate(GetProductAddDate value) {
        return new JAXBElement<GetProductAddDate>(_GetProductAddDate_QNAME, GetProductAddDate.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductVendorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getProductVendorResponse")
    public JAXBElement<GetProductVendorResponse> createGetProductVendorResponse(GetProductVendorResponse value) {
        return new JAXBElement<GetProductVendorResponse>(_GetProductVendorResponse_QNAME, GetProductVendorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllTopProductsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://server/", name = "getAllTopProductsResponse")
    public JAXBElement<GetAllTopProductsResponse> createGetAllTopProductsResponse(GetAllTopProductsResponse value) {
        return new JAXBElement<GetAllTopProductsResponse>(_GetAllTopProductsResponse_QNAME, GetAllTopProductsResponse.class, null, value);
    }

}
