package client;
import server.*;
import java.net.*;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;

public class connectToWs {
	private PexasoftService proxy;
	private Service service;
	private URL wsdlURL = null;
	private String serviceURL;
    private QName serviceName; 

    public connectToWs() {
      serviceURL = "http://192.168.44.2:8080/pexasoftService/pexasoftService?wsdl";
      serviceName = new QName("http://server/", "wsServerService");
      try {
        wsdlURL = new URL(serviceURL);
      } catch (Exception e) {}  
      service = Service.create(wsdlURL, serviceName);
      proxy = (PexasoftService)service.getPort(PexasoftService.class);
    }
	
    public PexasoftService getWS() {
      return proxy;
    }
} 