package classes;
import java.sql.*;

public class DatabaseConnect {
	private String databaseHost = "192.168.44.2";
	private String databasePort = "3306";
	private String databaseUser = "root";
	private String databasePassword = "123456";
	private String databaseName = "pexaSoft";
	private Connection con = null;
	private Statement st = null;
    private ResultSet rs = null;
	private boolean connectionState;
	
	public DatabaseConnect() {
		connect();
	}
	
	private void connect() {
		String str_con = "jdbc:mysql://"+databaseHost+":"+databasePort+"/"+databaseName;
		try {
		   Class.forName("com.mysql.jdbc.Driver").newInstance();
		   con = DriverManager.getConnection(str_con, databaseUser, databasePassword);
		   if(!con.isClosed()) {
			   connectionState = true;
		   }
		} catch (Exception s) {
		      toLog("DatabaseConnect: " + s.getMessage ());
		      s.printStackTrace();
	      }
	}
	
	private void toLog(String LogMessage) {}
	
	public boolean getConnectionStage() {
		return connectionState;
	}
	
	public ResultSet getStatement(String query) {
		try {
		  st = con.createStatement();
		  rs = st.executeQuery(query);
		} catch (Exception e) {
		  toLog("getStatement: " + query + ":\n" + e.getMessage());
		}	
	
	return rs;
	
	}
  
	public Statement setCreateStatement(String statement) {
	  try {
	    st = con.createStatement();
	    st.executeUpdate(statement);
	  } catch (SQLException s){ 
		toLog("setStatement: " + s.getMessage());
		s.printStackTrace();
		}
	  try {
		  con.close();
		} catch (SQLException s) {
			s.printStackTrace();
		}
	  return st;
    }
		
	public void close() {
		try {
			  con.close();
			} catch (SQLException s) {
				s.printStackTrace();
			}
	}
}
	
