package classes;
import java.sql.*;

public class DatabaseRead {
	private DatabaseConnect connection;
    private ResultSet rs = null;
	public DatabaseRead(){}
	
	public boolean getUserNameExists(String benutzerName) {
		boolean result = false;
		connection = new DatabaseConnect();
		String query = "SELECT COUNT(benutzerName) FROM kunde WHERE benutzerName='"+benutzerName+"'";
		try {
		  rs = connection.getStatement(query);
		  while (rs.next()) {
			  if (rs.getString(1).equals("1")){
				  result = true;
			  }
			  else {
				  result = false;
			  }
		  }
			} catch (SQLException s) {
				s.printStackTrace();
			}
		 connection.close();
		 return result;
		}
	
	public String [] getUserData(String kundenNummer) {
		String[] resultArray = new String[8];
		connection = new DatabaseConnect();
		String query = "SELECT * FROM kunde WHERE kundenNummer='"+kundenNummer+"'";
		try {
			  rs = connection.getStatement(query);
			  int i = 0;
	      	  int j = 1;
	      	  while (rs.next()) {
	      		while (j <= 8 ) {
	      		  resultArray[i] = rs.getString(j);

	      		   i++;
	      		   j++;
	      		 }
	      		  j = 1; 
	      		}
	      	try {
	      	  rs.close();
	      	} catch (SQLException s) {
	      		s.printStackTrace();
	      	}
		} catch (SQLException s) {
		     s.printStackTrace();
	      }
	  connection.close();
	  return resultArray;
	}
	
	public boolean getPasswordForUser(String user, String password) {
		boolean result = false;
		connection = new DatabaseConnect();
		String password_query = "SELECT passwort FROM kunde where benutzerName='" + user +"'";
		try {
			rs = connection.getStatement(password_query);
			while (rs.next()) {
		      if (rs.getString(1).equals(password)){
			    result = true;
			  }
			  else {
				result = false;
			  }
			}
		} catch (SQLException s) {
		  }
	  connection.close();
	  return result;
	}
	

	
	public int getUserID(String user) {
		int result = -1;
		String result_string = null;
		connection = new DatabaseConnect();
		String password_query = "SELECT kundenNummer from kunde where benutzerName='" + user +"'";
		try {
			rs = connection.getStatement(password_query);
			while (rs.next()) {
		      if (rs.getString(1) != null){
			    result_string = rs.getString(1);
			    result = Integer.parseInt(result_string);
			  }
			}
		} catch (SQLException s) {
		  }
	  connection.close();
	  return result;	
	}
	

	 
	 public int getRowCount(String table) {
		  int result=0;
		  connection = new DatabaseConnect();
		  String query = "SELECT COUNT(*) FROM " + table;
		  try {
		   rs = connection.getStatement(query);
			while (rs.next()) {
			  String a = rs.getString(1);
			  result = new Integer(a);
			}
		  } catch (SQLException s) {
			
		    }
		 connection.close();
		 return result-1;
	   }
	 	 
	 public Integer getProductCountInGroup(String group) {
		 int result = 0;
		 connection = new DatabaseConnect();
		 String query = "SELECT COUNT(*) FROM produkt WHERE produktTyp='"+group+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getInt(1);
			}
		  } catch (SQLException s) {}
		  connection.close();
		  return result;
	 }
	 
	 public String getProductName(Integer productID) {
		 String result = null;
		 connection = new DatabaseConnect();
		 String query = "SELECT produktName FROM produkt WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getString(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		   connection.close();
		   return result;
	 }
	 
	 public String getProductVendor(Integer productID) {
		 String result = null;
		 connection = new DatabaseConnect();
		 String query = "SELECT hersteller FROM produkt WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getString(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		   connection.close();
		   return result;
	 }
	 
	 public String getProductPlatform(Integer productID) {
		 String result = null;
		 connection = new DatabaseConnect();
		 String query = "SELECT plattform FROM produkt WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getString(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		   connection.close();
		   return result;
	 }
	 
	 public String getProductAddDate(Integer productID) {
		 String result = null;
		 connection = new DatabaseConnect();
		 String query = "SELECT datum FROM produkt WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getString(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		   connection.close();
		   return result;
	 }
	 
	 public float getProductPrice(Integer productID) {
		 float result = 0;
		 connection = new DatabaseConnect();
		 String query = "SELECT preis FROM produkt WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getFloat(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		   connection.close();
		   return result;
	 }
	 
	 public String getProductDescription(Integer productID) {
		 String result = null;
		 connection = new DatabaseConnect();
		 String query = "SELECT beschreibung FROM produktBeschreibung WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getString(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		   connection.close();
		   return result; 
	 }
	 
	 public String getProductImg(Integer productID) {
		 String result = null;
		 connection = new DatabaseConnect();
		 String query = "SELECT IMG FROM produkt WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getString(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		   connection.close();
		   return result; 
	 }
	 
	 public String getCategoryForProduct(Integer productID) {
		 String result = null;
		 connection = new DatabaseConnect();
		 String query = "SELECT produktTyp FROM produkt WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getString(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		  
		  if (result.equals("Betriebssysteme")) {
			  result="os";
		  }
		  else if (result.equals("Anwendungssoftware")) {
			  result="office";
		  }
		  else if (result.equals("Digitalisierung")) {
			  result="digital";
		  }
		  else if (result.equals("Spiele")) {
			  result="games";
		  }
		  else if (result.equals("Multimedia")) {
			  result="multi";
		  }
		  else if (result.equals("Lernen")) {
			  result="learn";
		  }
		  connection.close();
		  return result;
	 }
	 
	 
	 
	 public Integer getProductStock(Integer productID) {
		 int result = 0;
		 connection = new DatabaseConnect();
		 String query = "SELECT lagerbestand FROM produktBeschreibung WHERE produktNumber = '"+productID+"'";
		  try {
		    rs = connection.getStatement(query);
			while (rs.next()) {
		      result = rs.getInt(1);
			}
		  } catch (SQLException s) {
			  s.printStackTrace();
		  }
		   connection.close();
		   return result; 
	 }
	 
 	  	
	public Integer[] getAllTopProducts() {
		Integer[] result = null;
		connection = new DatabaseConnect();
		String query = "SELECT produktNumber FROM produkt where topProdukt='1'";
		try {
			int result_size = 0;
		    rs = connection.getStatement(query);
		    while (rs.next()) {
		    	result_size++;
		    }
		    result = new Integer[result_size];
		    rs.beforeFirst();
		    int counter = 0;
		    while (rs.next()) {
		     result[counter] = rs.getInt(1);
		     counter++;
		    }
		} catch (SQLException s) {
			s.printStackTrace();
		}
		connection.close();
		return result;
	}
	
	public Integer[] getAllOrdersForCustomer(Integer userID) {
		Integer[] result = null;
		connection = new DatabaseConnect();
		String query = "SELECT bestellNummer FROM bestellung where kundenNummer='"+userID+"'";
		try {
			int result_size = 0;
		    rs = connection.getStatement(query);
		    while (rs.next()) {
		    	result_size++;
		    }
		    result = new Integer[result_size];
		    rs.beforeFirst();
		    int counter = 0;
		    while (rs.next()) {
		     result[counter] = rs.getInt(1);
		     counter++;
		    }
		} catch (SQLException s) {
			s.printStackTrace();
		}
		connection.close();
		return result;
	}
		
	public String[] getOrderForCustomer(Integer orderID) {
		String[] result = null;
		connection = new DatabaseConnect();
		String query = "SELECT produktNummer, Anzahl FROM bestellung WHERE bestellNummer='"+orderID+"'";
		try {
			int result_size = 0;
		    rs = connection.getStatement(query);
		    while (rs.next()) {
		    	result_size++;
		    }
		    result = new String[2*result_size];
		    rs.beforeFirst();
		    int counter = 0;
		    while (rs.next()) {
		     result[counter] = rs.getString(1);
		     counter++;
		     result[counter] = rs.getString(2);
		     counter++;
		    }
		} catch (SQLException s) {
			s.printStackTrace();
		}
		connection.close();
		return result;
		
		
	}
	
	public Integer[] getAllProducts() {
		Integer[] result = null;
		connection = new DatabaseConnect();
		String query = "SELECT produktNumber FROM produkt";
		try {
			int result_size = 0;
		    rs = connection.getStatement(query);
		    while (rs.next()) {
		    	result_size++;
		    }
		    result = new Integer[result_size];
		    rs.beforeFirst();
		    int counter = 0;
		    while (rs.next()) {
		     result[counter] = rs.getInt(1);
		     counter++;
		    }
		} catch (SQLException s) {
			s.printStackTrace();
		}
		connection.close();
		return result;
	}
	
	
	public Integer[] getAllFreshProducts() {
		Integer[] result = null;
		connection = new DatabaseConnect();
		String query = "SELECT produktNumber FROM produkt WHERE datum > '2008-02-02'";
		try {
			int result_size = 0;
		    rs = connection.getStatement(query);
		    while (rs.next()) {
		    	result_size++;
		    }
		    result = new Integer[result_size];
		    rs.beforeFirst();
		    int counter = 0;
		    while (rs.next()) {
		     result[counter] = rs.getInt(1);
		     counter++;
		    }
		} catch (SQLException s) {
			s.printStackTrace();
		}
		connection.close();
		return result;
	}
	
	public Integer[] getAllProductsForGroup(String group) {
		Integer[] result = null;
		connection = new DatabaseConnect();
		String query = "SELECT produktNumber FROM produkt WHERE produktTyp='"+group+"'";
		try {
			int result_size = 0;
		    rs = connection.getStatement(query);
		    while (rs.next()) {
		    	result_size++;
		    }
		    result = new Integer[result_size];
		    rs.beforeFirst();
		    int counter = 0;
		    while (rs.next()) {
		     result[counter] = rs.getInt(1);
		     counter++;
		    }
		} catch (SQLException s) {
			s.printStackTrace();
		}
		connection.close();
		return result;
	}
	
	public Integer[] getSearchProduct(String searchstring) {
		Integer[] result = null;
		connection = new DatabaseConnect();
		String query = "SELECT produktNumber FROM produkt WHERE produktName like '%"+searchstring+"%'";
		try {
			int result_size = 0;
		    rs = connection.getStatement(query);
		    while (rs.next()) {
		    	result_size++;
		    }
		    result = new Integer[result_size];
		    rs.beforeFirst();
		    int counter = 0;
		    while (rs.next()) {
		     result[counter] = rs.getInt(1);
		     counter++;
		    }
		} catch (SQLException s) {
			s.printStackTrace();
		}
		connection.close();
		return result;
	}
}